package com.webchat.rmi.user;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import com.webchat.domain.vo.response.UserBaseResponseVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2025/1/14 00:51
 * @description
 */
@FeignClient(name = "webchat-user-service")
public interface UserServiceClient {

    /**
     * 查询用户详情
     *
     * @param userId 用户ID
     * @return
     */
    @GetMapping("/user-service/user/info/{userId}")
    APIResponseBean<UserBaseResponseInfoVO> userInfo(@PathVariable String userId);

    /**
     * 根据手机号查询用户基础信息
     *
     * @param mobile
     * @return
     */
    @GetMapping("/user-service/user/mobile/info/{mobile}")
    APIResponseBean<UserBaseResponseVO> userBaseInfo(@PathVariable String mobile);
}
