package com.webchat.sso.controller;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.domain.vo.request.UserLoginInfoRequestVO;
import com.webchat.rmi.sso.OauthServiceClient;
import com.webchat.sso.service.SSOCoreService;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sso-service/oauth")
public class SSOServiceController implements OauthServiceClient {

    @Autowired
    private SSOCoreService ssoCoreService;

    @PostMapping("/login")
    public APIResponseBean<String> login(@RequestBody UserLoginInfoRequestVO loginInfoRequest) {

        return APIResponseBeanUtil.success(ssoCoreService.login(loginInfoRequest));
    }

    @GetMapping("/userId/{oauthCode}")
    @Override
    public APIResponseBean<String> getUserIdByOauthCode(@PathVariable String oauthCode) {
        String userId = ssoCoreService.getUserIdByOauthCode(oauthCode);
        return APIResponseBeanUtil.success(userId);
    }
}
