package com.webchat.user.controller;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import com.webchat.domain.vo.response.UserBaseResponseVO;
import com.webchat.rmi.user.UserServiceClient;
import com.webchat.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2025/1/14 00:54
 * @description
 */
@RestController
public class UserServiceController implements UserServiceClient {

    @Autowired
    private UserService userService;

    @Override
    public APIResponseBean<UserBaseResponseInfoVO> userInfo(String userId) {

        return APIResponseBeanUtil.success(userService.getUserInfoByUserId(userId));
    }

    @Override
    public APIResponseBean<UserBaseResponseVO> userBaseInfo(String mobile) {

        return APIResponseBeanUtil.success(userService.getUserBaseByMobile(mobile));
    }
}
